// ===================================================
// Листинг 3. Просмотр списка активных серверов
//            и вывод в стандартный поток имен и
//            другой информации об активных серверах
//
// Файл slist!\slist.cpp
//
// (C) A. Frolov, 1993
// ===================================================

#include <stdlib.h>
#include <stdio.h>
#include <mem.h>
#include <string.h>
#include <dos.h>
#include <direct.h>
#include "sap.hpp"


void main(void) {

  SLIST *ServerList;
  int ccode = 0;

  printf("\n*SLIST!*, v.1.0, (C) Фролов А.В., 1993\n");

// Создаем объект класса SLIST. Конструктор этого объекта
// получает всю необходимую информацию о серверах и
// записывает ее в область данных объекта

  ServerList = new SLIST(GENERAL_SERVICE);

// Если при создании объекта были ошибки, завершаем
// выполнение программы

  ccode = ServerList->Error();

  if(ccode) {
		printf("Ошибка %d\n", ccode);
		return;
  }

// Выводим список серверов

  printf("\nОбнаружены сервера:\n");

  printf(  "---------------------------------------------"
		"------------------------------\n");

  ServerList->PrintServersName();

  printf(  "---------------------------------------------"
		"------------------------------\n");
}


